## org.eclipse.datatools.sqltools.sqlbuilder.views.graph.figures
Class FlatEndConnectionRouter

    java.lang.Object
      org.eclipse.datatools.sqltools.sqlbuilder.views.graph.figures.FlatEndConnectionRouter

All Implemented Interfaces:
  org.eclipse.draw2d.ConnectionRouter

    public class FlatEndConnectionRouter

extends java.lang.Object
implements org.eclipse.draw2d.ConnectionRouter

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.draw2d.ConnectionRouter
`org.eclipse.draw2d.ConnectionRouter.NullConnectionRouter`

Field Summary
`int` `END_LENGTH`

Fields inherited from interface org.eclipse.draw2d.ConnectionRouter
`NULL`

Constructor Summary
`FlatEndConnectionRouter()`

Method Summary
`java.lang.Object` `getConstraint(org.eclipse.draw2d.Connection connection)`
`java.lang.Object` `getConstraint(org.eclipse.draw2d.IFigure figure)`
`org.eclipse.draw2d.geometry.Point` `getEndPoint(org.eclipse.draw2d.Connection conn)`
`org.eclipse.draw2d.geometry.Dimension` `getMinimumSize(org.eclipse.draw2d.IFigure parent)`
`org.eclipse.draw2d.geometry.Dimension` `getPreferredSize(org.eclipse.draw2d.IFigure parent)`
`org.eclipse.draw2d.geometry.Point` `getStartPoint(org.eclipse.draw2d.Connection conn)`
`void` `invalidate(org.eclipse.draw2d.Connection connection)`
`void` `remove(org.eclipse.draw2d.Connection connection)`
`void` `route(org.eclipse.draw2d.Connection connection)`
`void` `setConstraint(org.eclipse.draw2d.Connection connection, java.lang.Object constraint)`
`void` `setConstraint(org.eclipse.draw2d.IFigure figure, java.lang.Object constraint)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### END_LENGTH

    public int END_LENGTH

Constructor Detail

### FlatEndConnectionRouter

    public FlatEndConnectionRouter()

Method Detail

### setConstraint

    public void setConstraint(org.eclipse.draw2d.IFigure figure,
                              java.lang.Object constraint)

### setConstraint

    public void setConstraint(org.eclipse.draw2d.Connection connection,
                              java.lang.Object constraint)

  Specified by:
    `setConstraint` in interface `org.eclipse.draw2d.ConnectionRouter`

### getConstraint

    public java.lang.Object getConstraint(org.eclipse.draw2d.IFigure figure)

### getConstraint

    public java.lang.Object getConstraint(org.eclipse.draw2d.Connection connection)

  Specified by:
    `getConstraint` in interface `org.eclipse.draw2d.ConnectionRouter`

### remove

    public void remove(org.eclipse.draw2d.Connection connection)

  Specified by:
    `remove` in interface `org.eclipse.draw2d.ConnectionRouter`

### route

    public void route(org.eclipse.draw2d.Connection connection)

  Specified by:
    `route` in interface `org.eclipse.draw2d.ConnectionRouter`

### getMinimumSize

    public org.eclipse.draw2d.geometry.Dimension getMinimumSize(org.eclipse.draw2d.IFigure parent)

### getPreferredSize

    public org.eclipse.draw2d.geometry.Dimension getPreferredSize(org.eclipse.draw2d.IFigure parent)

### invalidate

    public void invalidate(org.eclipse.draw2d.Connection connection)

  Specified by:
    `invalidate` in interface `org.eclipse.draw2d.ConnectionRouter`

### getStartPoint

    public org.eclipse.draw2d.geometry.Point getStartPoint(org.eclipse.draw2d.Connection conn)

### getEndPoint

    public org.eclipse.draw2d.geometry.Point getEndPoint(org.eclipse.draw2d.Connection conn)